## redis 7.0.4

=== debian/changelog ===
redis (5:7.0.4-1) unstable; urgency=high

  * New upstream security release.
  * CVE-2022-31144: Prevent a potential heap overflow in Redis 7.0's
    XAUTOCLAIM command.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jul 2022 15:49:44 +0100

redis (5:7.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 Jul 2022 07:27:57 +0100

redis (5:7.0.2-2) unstable; urgency=medium

  * Add /lib to allowed ExecPaths to support both usr-merged and non-usr-merged
    systems. Thanks to Christian Göttsche for the report. (Closes: #1013172)

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2022 11:12:13 +0100

redis (5:7.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0005-Fix-crash-when-systemd-ProcSubset-pid.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 14:34:25 +0100

redis (5:7.0.1-4) unstable; urgency=medium

  * Upload 7.x branch to unstable.
  * Update gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 10:09:07 +0100

redis (5:7.0.1-3) experimental; urgency=medium

  * Fix crash when systemd's ProcSubset=pid. /proc/sys/vm/overcommit_memory was
    inaccessible and a log warning message was incorrectly constructed.
  * Add missing CPPFLAGS when building hdr_histogram.
  * Update Lintian overrides:
    - Ignore maintainer-manual-page warnings.
    - Ignore very-long-line-length-in-source-file warnings.
  * Update my entry in debian/copyright.
  * Update and renumber patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 10:09:03 +0100

redis (5:7.0.1-2) experimental; urgency=medium

  * Drop support (in patches, etc.) for using the systemwide hiredis and Lua,
    reverting to using the built-in cjson (etc.). (Closes: #1012658)
  * Add an internal timeout for the cluster tests to prevent FTBFS.
    (Closes: #1011187)
  * Drop a duplicate comment in debian/rules.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jun 2022 15:41:53 +0100

redis (5:7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jun 2022 07:34:58 +0100

redis (5:7.0.0-1) experimental; urgency=medium

  * New upstream release.
    - Disable, hopefully temporarily, the use of the systemwide Lua due to
      Redis' fork gaining security/hardening features (eg.
      lua_enablereadonlytable).
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Apr 2022 16:19:20 -0700

redis (5:7.0~rc3-1) experimental; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Apr 2022 09:20:33 +0100

redis (5:7.0~rc2-2) experimental; urgency=high

  * CVE-2022-0543: Prevent a Debian-specific Lua sandbox escape vulnerability.

    This vulnerability existed because the Lua library in Debian is provided as
    a dynamic library. A "package" variable was automatically populated that
    in turn permitted access to arbitrary Lua functionality. As this extended
    to, for example, the "execute" function from the "os" module, an attacker
    with the ability to execute arbitrary Lua code could potentially execute
    arbitrary shell commands.

    Thanks to Reginaldo Silva <https://www.ubercomp.com> for discovering and
    reporting this issue. (Closes: #1005787)

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Mar 2022 11:05:56 +0000

redis (5:7.0~rc2-1) experimental; urgency=medium

  * New upstream RC release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Mar 2022 08:10:49 +0000

redis (5:7.0~rc1-1) experimental; urgency=medium

  * New upstream 7.x release candidate.
  * Refresh patches.
  * Set some DEP-3 forwarded headers.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Feb 2022 16:36:54 -0800

redis (5:6.2.6-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2021-32762: Integer to heap buffer overflow issue in redis-cli and
      redis-sentinel parsing large multi-bulk replies on some older and less
      common platforms.

    - CVE-2021-32687: Integer to heap buffer overflow with intsets, when
      set-max-intset-entries is manually configured to a non-default, very
      large value.

    - CVE-2021-32675: Denial Of Service when processing RESP request payloads
      with a large number of elements on many connections.

    - CVE-2021-32672: Random heap reading issue with Lua Debugger.

    - CVE-2021-32628: Integer to heap buffer overflow handling ziplist-encoded
      data types, when configuring a large, non-default value for
      hash-max-ziplist-entries, hash-max-ziplist-value,
      zset-max-ziplist-entries or zset-max-ziplist-value.

    - CVE-2021-32627: Integer to heap buffer overflow issue with streams, when
      configuring a non-default, large value for proto-max-bulk-len and
      client-query-buffer-limit.

    - CVE-2021-32626: Specially crafted Lua scripts may result with Heap
      buffer overflow.

    - CVE-2021-41099: Integer to heap buffer overflow handling certain string
      commands and network payloads, when proto-max-bulk-len is manually
      configured to a non-default, very large value.

  * Refresh patches.
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Oct 2021 14:33:02 +0100

redis (5:6.2.5-4) experimental; urgency=medium

  * Use /run instead of /var/run for PID and UNIX socket files. Thanks to
    @MichaIng-guest for the patch. (Closes: lamby/pkg-redis!5)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Aug 2021 11:48:59 +0100

redis (5:6.2.5-3) experimental; urgency=medium

  * Skip OOM-related tests on incompatible platforms. (Closes: #982122)

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Aug 2021 14:26:17 +0100

redis (5:6.2.5-2) experimental; urgency=medium

  * Explicitly specify USE_JEMALLOC to override upstream's detection of ARM
    systems. This was affecting reproducibility as the aarch64 kernel flavour

