## redis 7.0.10

=== debian/changelog ===
redis (5:7.0.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Apr 2023 10:44:01 +0100

redis (5:7.0.10-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-28425: Unauthenticated users could have used the MSETNX command
      to trigger a runtime assertion and termination of the Redis server
      process. (Closes: #1033340)
  * Refresh patches.
  * Bump Standards-Version.
  * Extend our USE_SYSTEM_JEMALLOC patch to support latest version.

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Mar 2023 13:04:38 +0000

redis (5:7.0.9-1) unstable; urgency=high

  * New upstream security release:
     - CVE-2023-25155: Authenticated users issuing specially crafted
       `SRANDMEMBER`, `ZRANDMEMBER`, and `HRANDFIELD` commands can trigger an
       integer overflow, resulting in a runtime assertion and termination of the
       Redis server process. (Closes: #1032279)
     - CVE-2022-36021:  Authenticated users can use string matching commands
       (like `SCAN` or `KEYS`) with a specially crafted pattern to trigger a
       denial-of-service attack on Redis, causing it to hang and consume 100%
       CPU time.
  * Refresh patches.
  * Extend our USE_SYSTEM_JEMALLOC patch to support latest version.

 -- Chris Lamb <lamby@debian.org>  Sat, 04 Mar 2023 11:01:59 +0000

redis (5:7.0.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Dec 2022 10:04:38 +0000

redis (5:7.0.5-1~bpo11+1) bullseye-backports; urgency=high

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Sep 2022 08:19:40 +0100

redis (5:7.0.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Aug 2022 08:22:24 -0700

redis (5:6.0.16-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jun 2022 07:40:56 +0100

redis (5:6.0.16-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 10 Mar 2022 08:12:54 +0000
